Last Comment Bug 670249 - Get rid of NFSPWD from config.mk
: Get rid of NFSPWD from config.mk
Status: RESOLVED FIXED
fixed-in-bs [fixed-in-c-c]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla8
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 14:41 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-07-22 06:57 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
kill it (m-c) (7.30 KB, patch)
2011-07-13 00:54 PDT, Siddharth Agarwal [:sid0] (inactive)
mh+mozilla: review+
Details | Diff | Review
kill it (c-c) (1.75 KB, patch)
2011-07-13 00:55 PDT, Siddharth Agarwal [:sid0] (inactive)
sid.bugzilla: review+
Details | Diff | Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-07-08 14:41:31 PDT
Bug 668053 comment 4:

> ::: config/config.mk
> @@ +683,2 @@
> >  else
> > +INSTALL_PWD     = `$(NFSPWD)`
> 
> Can you file a followup to get rid of NFSPWD? It looks like some ancient
> cruft that was probably only useful at Netscape or something.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-07-13 00:54:31 PDT
Created attachment 545615 [details] [diff] [review]
kill it (m-c)
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-07-13 00:55:48 PDT
Created attachment 545616 [details] [diff] [review]
kill it (c-c)
Comment 3 Mike Hommey [:glandium] 2011-07-13 01:05:25 PDT
Comment on attachment 545615 [details] [diff] [review]
kill it (m-c)

Review of attachment 545615 [details] [diff] [review]:
-----------------------------------------------------------------

(Ted is on vacation, so I'm taking this review)
Please also remove config/fastcwd.pl and js/src/config/fastcwd.pl. r=me with that.

I'd also suggest to do the same in nsprpub/
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2011-07-13 01:20:03 PDT
Isn't NSPR a separate repository that we import periodically?
Comment 5 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-07-13 08:49:56 PDT
(In reply to comment #4)
> Isn't NSPR a separate repository that we import periodically?

Yes.  You'd have to get an NSPR patch reviewed by ted or wtc.
Comment 6 Siddharth Agarwal [:sid0] (inactive) 2011-07-13 17:58:11 PDT
https://hg.mozilla.org/projects/build-system/rev/7ded8e06e44e
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2011-07-13 18:56:58 PDT
Pushed a bustage fix: https://hg.mozilla.org/projects/build-system/rev/981272eff3b7
Comment 8 Siddharth Agarwal [:sid0] (inactive) 2011-07-14 14:36:13 PDT
Comment on attachment 545616 [details] [diff] [review]
kill it (c-c)

Callek rs+'d this over IRC. Landed: https://hg.mozilla.org/comm-central/rev/38876eeaef86

Note You need to log in before you can comment on or make changes to this bug.